Module org.jfree.chart3d
Package org.jfree.chart3d.graphics3d.swing

# Class UpAction

java.lang.Object
javax.swing.AbstractAction
org.jfree.chart3d.graphics3d.swing.UpAction

All Implemented Interfaces:
  `ActionListener`, `Serializable`, `Cloneable`, `EventListener`, `Action`

public class UpAction extends AbstractAction
An action that handles rotating the 3D view towards the top of the screen.
NOTE: This class is serializable, but the serialization format is subject to change in future releases and should not be relied upon for persisting instances of this class.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields inherited from interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

## Constructor Summary

Constructors
Constructor
Description
`UpAction(Panel3D panel)`
Creates a new action associated with the specified panel.

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
Performs the rotate up action.

### Methods inherited from class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.swing.Action

`accept`

## Constructor Details

### UpAction

public UpAction(Panel3D panel)
Creates a new action associated with the specified panel.

Parameters:
  `panel` - the panel (`null` not permitted).

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent e)
Performs the rotate up action.

Parameters:
  `e` - the action event.